Zum Inhalt springen
Bpanda
Deutsch
Esc
↑↓navigieren↵öffnen⌘Jvorschau

List a single ArchiMate export report by ID.

List a single ArchiMate export report by ID. Returns one ArchiMate export report in full, by the id it was listed under.

Security: Manager or Designer of the process space.

GET/v1/warehouses/{warehouseId}/archimate/export/{exportId}/report
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

ID of warehouse

exportIdstringrequired

ID of the export

Responses
200

the export report

changedElementDetailsArchimateExportChangedElement[]required
Show properties
Array of ArchimateExportChangedElement
conceptualClassstringrequired
externalIdstring
idstringrequired
modifiedHistory
Show properties
atstringrequired
bystringrequired
nameTranslatedString
Show properties
defaultLanguagestringrequired
translationsTranslation[]required
Show properties
Array of Translation
languagestringrequired
valuestringrequired
changedElementsinteger<int32>required
droppedPropertiesinteger<int32>required
droppedPropertyDetailsArchimateExportDroppedProperty[]required
Show properties
Array of ArchimateExportDroppedProperty
conceptualClassstringrequired
externalIdstring
idstringrequired
propertyKeystringrequired
reasonstringrequired
droppedRelationshipDetailsArchimateExportDroppedRelationship[]required
Show properties
Array of ArchimateExportDroppedRelationship
counterpartElementIdstring
reasonstringrequired
relationshipIdstringrequired
storedAtElementIdstringrequired
droppedRelationshipsinteger<int32>required
failurestring
finishedHistory
Show properties
atstringrequired
bystringrequired
idstringrequired
omittedProcessDraftDetailsArchimateExportOmittedProcessDraft[]required
Show properties
Array of ArchimateExportOmittedProcessDraft
externalIdstring
idstringrequired
nameTranslatedString
Show properties
defaultLanguagestringrequired
translationsTranslation[]required
omittedProcessDraftsinteger<int32>required
readElementsinteger<int32>required
skippedElementDetailsArchimateExportSkippedElement[]required
Show properties
Array of ArchimateExportSkippedElement
conceptualClassstringrequired
externalIdstring
idstringrequired
nameTranslatedString
Show properties
defaultLanguagestringrequired
translationsTranslation[]required
reasonstringrequired
skippedElementsinteger<int32>required
snapshotSizeinteger<int32>required
startedHistory
Show properties
atstringrequired
bystringrequired
statusstringrequired
vanishedElementsinteger<int32>required
writtenElementsinteger<int32>required
writtenRelationshipsinteger<int32>required
403

Forbidden: insufficient permissions

string
404

Warehouse or export report not found

string
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/archimate/export/string/report' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY'
Response
{
  "changedElementDetails": [
    {
      "conceptualClass": "string",
      "externalId": "string",
      "id": "string",
      "modified": {
        "at": "string",
        "by": "string"
      },
      "name": {
        "defaultLanguage": "string",
        "translations": [
          {
            "language": "string",
            "value": "string"
          }
        ]
      }
    }
  ],
  "changedElements": 0,
  "droppedProperties": 0,
  "droppedPropertyDetails": [
    {
      "conceptualClass": "string",
      "externalId": "string",
      "id": "string",
      "propertyKey": "string",
      "reason": "string"
    }
  ],
  "droppedRelationshipDetails": [
    {
      "counterpartElementId": "string",
      "reason": "string",
      "relationshipId": "string",
      "storedAtElementId": "string"
    }
  ],
  "droppedRelationships": 0,
  "failure": "string",
  "finished": {
    "at": "string",
    "by": "string"
  },
  "id": "string",
  "omittedProcessDraftDetails": [
    {
      "externalId": "string",
      "id": "string",
      "name": {
        "defaultLanguage": "string",
        "translations": [
          {
            "language": "string",
            "value": "string"
          }
        ]
      }
    }
  ],
  "omittedProcessDrafts": 0,
  "readElements": 0,
  "skippedElementDetails": [
    {
      "conceptualClass": "string",
      "externalId": "string",
      "id": "string",
      "name": {
        "defaultLanguage": "string",
        "translations": [
          {
            "language": "string",
            "value": "string"
          }
        ]
      },
      "reason": "string"
    }
  ],
  "skippedElements": 0,
  "snapshotSize": 0,
  "started": {
    "at": "string",
    "by": "string"
  },
  "status": "string",
  "vanishedElements": 0,
  "writtenElements": 0,
  "writtenRelationships": 0
}